#!/usr/bin/perl
# Copyright (C) 2002 William R Thomas <corvar@theonering.net>
# Last Changed by: $Author: corvar $
# on: $Date: 2002/11/05 20:07:04 $
# Version: $Revision: 1.4 $

# Maintainer: William R Thomas <corvar@theonering.net>
# Keywords: convenience

# This file is free software; you can redistribute it and/or modify
# it under the terms of version 2 of the GNU General Public License
# as published by the Free Software Foundation.

# This file is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
# General Public License for more details.
#

# Revision History:
# 1.0 Initial version;  This is a replacement to xmmscurrent.sh.  It 
#     functions the same as xmmscurrent.sh except that it will also 
#     deal with live365.com streams.
# 1.2 I thought the initial CVS version was 1.0, it was 1.1.  So this
#     version is to get the numbering correct. 
# 1.3 Deal with trailing escape characters
# 1.4 Use Xmms::Remote functionality directly instead of Xmms shell.

# Requirements:
# Xmms-Perl
# LWP::Simple

# Notes: ljupdate currently will attempt to execute xmmscurrent.  You
#        should link xmmscurrent.sh or xmmscurrent.pl to that filename 
#        somewhere within your path.

# xmmscurrent.pl version: $Revision: 1.4 $
# works with Xmms-Perl version: 0.12 for Corvar ;)

use LWP::Simple;
use Xmms::Remote();

my $remote = Xmms::Remote->new;
my $track = $remote->get_playlist_pos;
$xmms = $remote->get_playlist_title($track);

if($xmms =~ /http:\/\/.*live365.com\/play\/(\d+)\//) {
    $content = get("http://www.live365.com/stations/$1"); 
    if($content =~ /href=\"javascript:PopUpProfile\(\'(.*)\'\)\"/) {
	$content2 = get("http://www.live365.com:89/pls/front?handler=playlist&cmd=view&handle=$1");
	if($content2) {
	    $content2 =~ s/\n//g;
	    $content2 =~ s/(  |\t)/ /g;
	    if($content2 =~ /var playlist = \{.*one:\{.*title:\"([^\"]*)\",artist:\"([^\"]*)\".*two:/) {
		print $2." - ".$1;
	    }
	}
    }
} else {
    print $xmms;
}

if($ARGV[0] ne '-n') {
    print "\n";
}
