#!/bin/bash
# Copyright (C) 2002 William R Thomas <corvar@theonering.net>
# Last Changed by: $Author: corvar $
# on: $Date: 2002/11/01 22:19:45 $
# Version: $Revision: 1.2 $

# Maintainer: William R Thomas <corvar@theonering.net>
# Keywords: convenience

# This file is free software; you can redistribute it and/or modify
# it under the terms of version 2 of the GNU General Public License
# as published by the Free Software Foundation.

# This file is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
# General Public License for more details.
#

# Revision History:
# .99 Initial Version
# 1.0 Added check to see if xmms was running
# 1.1 Added -n and -h command line args.
#     Improved xmms running check, to catch xmms run with a flag
# 1.2 Added in notes section of documentation, and cvs tags.

# Notes: ljupdate currently will attempt to execute xmmscurrent.  You
#        should link xmmscurrent.sh or xmmscurrent.pl to that filename
#        somewhere within your path.

# Requirements:
# Xmms-Perl

# xmmscurrent.sh version: $Revision: 1.2 $
# works with Xmms-Perl version: 0.12 for Corvar ;)

EXPR='s/^.*- \(.*\) - \(.*\)....$/\1 - \2/g'
FILT="cat"

case "$1" in
    -n)
	FILT="tr -d '\n'"
	;;
    -h) echo "Usage: xmmscurrent.sh [-n]"
	echo "       -n suppresses trailing newline"
	exit
	;;
esac

if [ `ps waux |egrep ' xmms($| )' |wc -l` -gt 1 ] ; then
    perl -MXmms -e current |head -1 |sed -e "$EXPR" |$FILT
fi
