;;; ljupdate.el --- autoloads for ljupdate

;; Copyright (C) 2001, 2002 Edward O'Connor <ted@oconnor.cx>

;; Maintainer: Edward O'Connor <ted@oconnor.cx>
;; Keywords: convenience
;; Version: 3.3

;; This file is part of ljupdate.

;; ljupdate is free software; you can redistribute it and/or
;; modify it under the terms of the GNU General Public License as
;; published by the Free Software Foundation; either version 2, or
;; {at your option} any later version.

;; ljupdate is distributed in the hope that it will be useful, but
;; WITHOUT ANY WARRANTY; without even the implied warranty of
;; MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
;; GNU General Public License for more details.

;; You should have received a copy of the GNU General Public
;; License along with ljupdate, or with your Emacs. See the file
;; COPYING, or, if you're using GNU Emacs, try typing C-h C-c to
;; bring it up. If you're using XEmacs, C-h C-l does this. If you
;; do not have a copy, you can obtain one by writing to the Free
;; Software Foundation at this address:

;;                Free Software Foundation, Inc.
;;                59 Temple Place, Suite 330
;;                Boston, MA  02111-1307
;;                USA

;;; Commentary:

;;; History:

;;; Code:

(require 'ljcompat)

;; The version to report to the server. This should be a version
;; number for releases, and "Development" for CVS.
(defconst lj--client-version
  "Emacs-ljupdate/Development"
  "Version of ljupdate reported to the server.")

(defvar lj-debug-flag nil "*Non-nil means that you're debugging ljupdate.el.")
(make-obsolete-variable 'lj-debug-flag 'lj-message-level)
(defvar lj-bbdb-flag nil "*Non-nil means to integrate with the bbdb.")
(make-obsolete-variable 'lj-bbdb-flag "(require 'lj-bbdb)")

(defvar lj--startup-modified-p nil
  "This is non-nil if the lj-startup file needs to saved, and nil otherwise.")

;; The file lj-auto.el is really what gets us moving. It's an
;; autogenerated file containing autoloads for the rest of
;; ljupdate.
(require 'lj-auto)

;; Custom declarations.
(require 'ljcustom)

(provide 'ljupdate)

;;; ljupdate.el ends here
